﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Grid</title>
	<style type="text/css">
		html,
		body,
		form {
			height: 100%;
			margin: 0;
			padding: 0;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
			<Scripts>
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
				<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
			</Scripts>
        </telerik:RadScriptManager>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
			
		<script type="text/javascript">

			window.$ = $telerik.$;
			function onGridCreated(sender, args) {
				var cols = sender.get_masterTableView().get_dataItems()[0].get_element().cells,
					colsNumber = sender.get_masterTableView().get_columns().length,
					visibleColsCount = 0;
				//Count visible columns. rgGroupCol should not be count
				for(var i = 0; i < colsNumber; i++){
					if (cols[i].style.display != 'none' && !$(cols[i]).hasClass('rgGroupCol')) {
						visibleColsCount++;
					}
				}
				//Set the colspan attribute to a value equal to number of visible columns
				$('.RadGrid .rgGroupHeader td + td').attr('colspan', visibleColsCount);
			}
		</script>
		
		<telerik:RadGrid ID="grdWorkflow" Skin="Outlook" AutoGenerateColumns="False" GridLines="None"
			Width="900px" OnNeedDataSource="RadGrid1_NeedDataSource" runat="server">
			
			<MasterTableView Caption="List of workflows" DataKeyNames="GroupID" ClientDataKeyNames="GroupID,StepID"
				GroupsDefaultExpanded="true" TableLayout="Fixed" Style="float: left;" Summary="View Workflow">
				<NoRecordsTemplate>
					<div class="bold">
						There are no approvers set up to approve this ITPR. You must either select a manager
                to approve or contact your Customer Service Representative (CSR) for further assistance.
					</div>
				</NoRecordsTemplate>
				<GroupByExpressions>
					<telerik:GridGroupByExpression>
						<SelectFields>
							<telerik:GridGroupByField HeaderValueSeparator=" " FieldName="StepName" />
						</SelectFields>
						<GroupByFields>
							<telerik:GridGroupByField FieldName="ArtificialSortingField" />
						</GroupByFields>
					</telerik:GridGroupByExpression>
				</GroupByExpressions>
				<Columns>
					<telerik:GridBoundColumn UniqueName="StepID" DataField="StepID" Display="false">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="StepName" HeaderText="Step Name" DataField="StepName"
						Display="false">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="GroupID" HeaderText="GroupID" DataField="GroupID"
						Display="false">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="GroupName" HeaderText="Approval Group Name"
						DataField="GroupName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="RoleID" HeaderText="Role ID" DataField="RoleID"
						Display="false">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="RoleName" HeaderText="Role" DataField="RoleName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="SectionName" HeaderText="Section" DataField="SectionName">
					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn UniqueName="Approvers" HeaderText="Potential Approvers"
						DataField="Approvers">
					</telerik:GridBoundColumn>
				</Columns>
			</MasterTableView>
			<ClientSettings>
				<ClientEvents OnGridCreated="onGridCreated" />
			</ClientSettings>
		</telerik:RadGrid>


	</form>
</body>
</html>
